Package: org.codehaus.groovy.jsr223

## [Java] Class GroovyScriptEngineImpl

- org.codehaus.groovy.jsr223.GroovyScriptEngineImpl

- All Implemented Interfaces and Traits:
    Compilable, Invocable

      public class GroovyScriptEngineImpl
      extends AbstractScriptEngine
      implements Compilable, Invocable

  JSR-223 Engine implementation. Adapted from original by Mike Grogan and A. Sundararajan

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractScriptEngine` | `ARGV, FILENAME, ENGINE, ENGINE_VERSION, NAME, LANGUAGE, LANGUAGE_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyScriptEngineImpl ()`
    `GroovyScriptEngineImpl (GroovyClassLoader classLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public CompiledScript` | `compile(String scriptSource)`
    `` | `public CompiledScript` | `compile(Reader reader)`
    `` | `public Bindings` | `createBindings()`
    `` | `public Object` | `eval(Reader reader, ScriptContext ctx)`
    `` | `public Object` | `eval(String script, ScriptContext ctx)`
    `` | `public GroovyClassLoader` | `getClassLoader()`
    `` | `public ScriptEngineFactory` | `getFactory()`
    `<T>` | `public T` | `getInterface(Class<T> clazz)`
    `<T>` | `public T` | `getInterface(Object thiz, Class<T> clazz)`
    `` | `public Object` | `getVariable(String name)`
    `` | `public Object` | `invokeFunction(String name, Object args)`
    `` | `public Object` | `invokeMethod(Object thiz, String name, Object args)`
    `` | `public Object` | `invokeMethod(Object object, String name, Object args)`
    `` | `public Object` | `invokeMethod(Object object, String name, Object[] args)`
    `` | `public Object` | `invokeStaticMethod(Object object, String name, Object[] args)`
    `` | `public GroovyClassLoader` | `run()`
    `` | `public void` | `setClassLoader(GroovyClassLoader classLoader)`
    `` | `public void` | `setVariable(String name, Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractScriptEngine` | `get, put, getContext, getBindings, eval, eval, eval, eval, setBindings, setContext, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, getFactory, eval, eval, createBindings`

- - ### Constructor Detail

    - #### public GroovyScriptEngineImpl()

    - #### public GroovyScriptEngineImpl(GroovyClassLoader classLoader)

  - ### Method Detail

    - #### public CompiledScript compile(String scriptSource)

    - #### public CompiledScript compile(Reader reader)

    - #### public Bindings createBindings()

    - #### public Object eval(Reader reader, ScriptContext ctx)

    - #### public Object eval(String script, ScriptContext ctx)

    - #### public GroovyClassLoader getClassLoader()

    - #### public ScriptEngineFactory getFactory()

    - #### <T> public T getInterface(Class<T> clazz)

    - #### <T> public T getInterface(Object thiz, Class<T> clazz)

    - #### @Override public Object getVariable(String name)

    - #### public Object invokeFunction(String name, Object args)

    - #### public Object invokeMethod(Object thiz, String name, Object args)

    - #### @Override public Object invokeMethod(Object object, String name, Object args)

    - #### @Override public Object invokeMethod(Object object, String name, Object[] args)

    - #### @Override public Object invokeStaticMethod(Object object, String name, Object[] args)

    - #### @Override public GroovyClassLoader run()

    - #### public void setClassLoader(GroovyClassLoader classLoader)

    - #### @Override public void setVariable(String name, Object value)